{{page-title @model.presentation.name " | " (capitalize (t "edit"))}}

{{#if this.fastboot.isFastBoot}}
  <LoadingContainer />
{{else}}
  <div class="d-flex min-h-100">
    <Manage::SideBar class="order-last flex-shrink-1">
      <Manage::Visibility
        @model={{this.editableModel}}
        @teams={{@model.teams}}
        @hasIsDefault={{false}}
        @editablePanel={{this.editableField}}
        @savingPanel={{this.savingField}}
        @isAdmin={{this.user.isAdmin}}
        @areAllShowing={{this.allTeams}}
        @onChangeAll={{this.changeAll}}
        @saveIsPublic={{this.saveIsPublic}}
        @saveIsDefault={{this.saveIsDefault}}
        @saveTeam={{this.saveTeam}}
        @onEdit={{this.edit}}
        @onCancel={{this.cancel}}
      />

      <Manage::ModelInfo
        @editablePanel={{this.editableField}}
        @savingPanel={{this.savingField}}
        @model={{@model.presentation}}
        @disabled={{this.disabled}}
        @onSave={{this.save}}
        @onCancel={{this.cancel}}
        @onEdit={{this.edit}}
      />
    </Manage::SideBar>

    <Manage::Container>
      <:content>
        <Manage::Header @title={{capitalize (t "edit presentation")}} />

        <Manage::Row @name="name">
          <Manage::Text
            @title={{capitalize (t "name")}}
            @isMainValue={{true}}
            @value={{@model.presentation.name}}
            placeholder={{capitalize (t "what is the presentation name?")}}
            @emptyError={{capitalize (t "this presentation has no name")}}
            @editablePanel={{this.editableField}}
            @savingPanel={{this.savingField}}
            @onSave={{fn this.saveField "name"}}
            @onEdit={{this.edit}}
            @onCancel={{this.cancel}}
          />
        </Manage::Row>

        <Manage::Row @name="slug">
          <Manage::Text
            @title={{capitalize (t "slug")}}
            @isMainValue={{true}}
            @value={{@model.presentation.slug}}
            placeholder={{capitalize (t "what is the presentation slug?")}}
            @emptyError={{capitalize (t "this presentation has no slug")}}
            @editablePanel={{this.editableField}}
            @savingPanel={{this.savingField}}
            @onSave={{fn this.saveField "slug"}}
            @onEdit={{this.edit}}
            @onCancel={{this.cancel}}
          />
        </Manage::Row>

        <Manage::Row @name="content">
          <Manage::SlideRows
            @title={{capitalize (t "content")}}
            @isMainValue={{true}}
            @value={{@model.presentation.cols}}
            @editablePanel={{this.editableField}}
            @savingPanel={{this.savingField}}
            @onSave={{fn this.saveField "cols"}}
            @onEdit={{this.edit}}
            @onCancel={{this.cancel}}
          />
        </Manage::Row>
      </:content>
    </Manage::Container>
  </div>
{{/if}}